Skip to main content
`Ctrl`+`K`

# SNESFASCycleSetCycles

Sets the number of cycles for all levels in a `SNESFAS`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleSetCycles(SNES snes, PetscInt cycles)

Logically Collective

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- cycles - the number of cycles – 1 for V-cycle, 2 for W-cycle

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetCycles()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages